Bug 455764 - No Error Output When Xen Started on Unpatched Kernel
No Error Output When Xen Started on Unpatched Kernel
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen (Show other bugs)
5.4
x86_64 Linux
low Severity low
: rc
: ---
Assigned To: Xen Maintainance List
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-17 12:58 EDT by Drew Faubion
Modified: 2009-12-14 16:26 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-22 05:24:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Drew Faubion 2008-07-17 12:58:08 EDT
Description of problem:
Attempting to start Xen on unpatched kernel results in script exiting with no
error output.

Version-Release number of selected component (if applicable): 3.0.3


How reproducible: Very


Steps to Reproduce:
1.Install xen from yum.  Do not reboot or boot to a non-patched kernel.  
2.Run /sbin/service xend start
3.The script will exit with no output whatsoever.
  
Actual results: None


Expected results: Error message


Additional info: Should be easy to fix.
Comment 1 Bill Burns 2008-07-21 14:22:14 EDT
By non-patched kernel, do you mean you are running the non-Xen kernel?
Comment 2 Daniel Berrange 2008-07-22 05:24:58 EDT
This is intentional behaviour. We want people to be able to easily reboot
between Xen and non-Xen kernel without having to turn initscripts on/off to get
rid of failures. It is fairly standard behaviour for initscripts to silently
exit if their pre-requisites aren't present.

Note You need to log in before you can comment on or make changes to this bug.